<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Historiska annonser - Sök bland annonser som varit publicerade av Arbetsförmedlingens</title>
    <link href="https://fonts.googleapis.com/css?family=Lato:400,400i,700" rel="stylesheet">
    <link type="text/css" rel="stylesheet" href="bootstrap.materia.min.css"/>
    <link type="text/css" rel="stylesheet" href="showMore.css"/>
</head>

<body class="container-fluid p-0">
<h3>Historiska annonser - Sök bland Arbetsförmedlingens annonser 2016 - 2023</h3>

<div class="alert alert-warning mb-0 mt-0">
    <p class="mb-0">Under utveckling 2023 - Denna söksida är främst ett exempel på hur api:et kan användas<BR>
        Av olika skäl kan det hända att annonser som varit publicerade inte finns med bland de som är sökbara nu.
    </p>
</div>
<div class="row justify-content-center bg-light p-5">
    <form>
        <div class="row">
            <div class="col-sm-6">
                <div class="form-group">
                    <span class="form-label">Från</span>
                    <input id="from" class="form-control" type="date" required>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group">
                    <span class="form-label">Till</span>
                    <input id="to" class="form-control" type="date" required>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <div class="form-group">
                    <span class="form-label">Sökning</span>
                    <input id="search" class="form-control" type="text" required>
                </div>
            </div>
        </div>
        <button type="button" class="btn btn-primary btn-lg btn-block" onclick="doSearch()">Sök annonser</button>
    </form>
</div>

<div id="result">
</div>
<footer class="container-fluid">
    <hr>
    <div class="row">
        <div class="col">
            <h4>Om sidan</h4>
            <ul>
                <li>Information om historiska annonser finns på <a href="https://gitlab.com/arbetsformedlingen/job-ads/getting-started-code-examples/historical-ads-info">GitLab</a> </li>
                <li>Annonserna kommer från Platsbanken och är från 1 januari 2016 till 31 mars 2023</li>
                <li>Personuppgifter är raderade från annonserna</li>
                <li>Innehållet på denna sida är fritt att använda. Annonserna är licenserade med CC0. Källkoden är
                    licenserat med Apache 2.
                </li>
                <li>Annonserna nås via ett <a href="https://dev-historical-api.jobtechdev.se">API</a> eller laddas ner som <a
                        href="https://data.jobtechdev.se/annonser/historiska">fil</a></li>
            </ul>
        </div>
        <div class="col">
            <h4>Om JobTech</h4>
            <ul>
                <li><a href="https://jobtechdev.se">Mer öppna data om arbetsmarknaden</a></li>
            </ul>
        </div>
    </div>
</footer>


<script src="showMore.js"></script>
<script src="search_and_show.js"></script>
<script src="https://unpkg.com/mustache@latest"></script>

<script id="template" type="x-tmpl-mustache">
	<div class="row justify-content-center">
	<div class="col-8">

	{{#hits}}  <!-- This part repeats for all ads in the response-->

	<div class="card border-0">
	<div class="card-body">
	<h5 class="card-title">{{ headline }}</h5>
	<h6 class="card-subtitle mb-2 text-muted">{{ employer.name }}</h6>
	<p class="card-text">{{ occupation.label }}</p>
	<p class="card-text"><strong>Publiceringsperiod:</strong> {{#onlyDate }}{{ publication_date }}{{/onlyDate}} - {{#onlyDate }}{{ last_publication_date }}{{/onlyDate}}</p>
	<p class="card-text">{{#limitLength}}{{ description.text }}{{/limitLength}}</p>

    <h6 class="show-more-less">Visa mer / visa mindre</h6>

    <div style="display:none"> <!-- This part is toggled by link -->
        <class="card-text"><strong>Annons-id:</strong> {{ id }}<br>
        <class="card-text"><strong>Original-id:</strong> {{ original_id }}<br>
        <class="card-text"><strong>Kommun:</strong> {{ workplace_address.municipality }}<br>
        <class="card-text"><strong>Länk till annons</strong> {{ id }}: <a href="/ad.html?id={{ id }}" target=_blank>Annons {{ id }}</a><br>
        <class="card-text"><strong>Länk till annons</strong> {{ id }} i JSON-format:  <a href=https://dev-historical-api.jobtechdev.se/ad/{{ id }} target=_blank>Annons {{ id }}</a><br>
        <class="card-text"><strong>Hela annonstexten:</strong><br> {{ description.text }}<br>
    </div>
	</div>
	</div>
	{{/hits}}
	</div>
	</div>

</script>


</body>
</html>
